Install SABnzbd for Unix (and similar Unix-ish operating systems)

Install for Unix/Linux.

Official Repositories

For some platforms people have created unofficial packages.

For other platforms it's more work. For some it's just apt-get (or yum or what ever equivalent)
the packages that SABnzbd depends on.
But sometimes you need to install just about every package from original sources.

Detailed instructions for:

We have a Guideline for Unix packaging, meant for prospective porters.

Assuming you have the Python 2.4 or 2.5 package already installed, you need to install a number of Python modules.
Often you can install these using apt-get commands (check your system's documentation).
Otherwise you need to download and/or compile.
See here for the official download locations.

The next step is to unpack the SABnzbd.tar.gz file and install it somewhere appropriate. You don't have to be a system admin to install SABnzbd itself. It's just a bunch of text files (Python sources and HTML files).
You start SABnzbd.py from the command line (check if the X bit is set, otherwise do "chmod +x SABnzbd.py" first).

 ./SABnzbd.py

SABnzbd will startup and will try to find a web browser to show you its web interface.

Install as a Unix daemon

See : Install as a Unix Daemon

Unless otherwise stated, the content of this page is licensed under Creative Commons Attribution-ShareAlike 3.0 License